<!DOCTYPE html>
<html lang="fr">
	<head>
		<title>Prototype encryption (v2.1.3)</title>
		<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
		<script type="text/javascript">
			function decrypt(key,iv,value)
			{
				var iv=pad(iv,mcrypt.get_iv_size("rijndael-128","cbc"));
				mcrypt.Crypt(null,null,iv,key,"rijndael-128","cbc");
				return mcrypt.Decrypt(hex2bin(Base64.decode(value)),iv);
			}

			function encrypt(key,iv,value)
			{
				var iv=pad(iv,mcrypt.get_iv_size("rijndael-128","cbc"));
				mcrypt.Crypt(null,null,iv,key,"rijndael-128","cbc");
				return Base64.encode(trim(bin2hex(mcrypt.Encrypt(value,iv))));
			}

			function crypt_values()
			{
				var iv=document.getElementById("iv").value;
				iv=pad(iv,mcrypt.get_iv_size("rijndael-128","cbc"));

				var key=document.getElementById("key").value;
				mcrypt.Crypt(null,null,iv,key,"rijndael-128","cbc");

				var directory=document.getElementById('directory').value;
				var FrmCode=document.getElementById('FrmCode').value;

				//crypt data
				var FrmCountry=Base64.encode(trim(bin2hex(mcrypt.Encrypt(document.getElementById('FrmCountry').value,iv))));
				var FrmTitle=Base64.encode(trim(bin2hex(mcrypt.Encrypt(document.getElementById('FrmTitle').value,iv))));
				var FrmFirstName=Base64.encode(trim(bin2hex(mcrypt.Encrypt(document.getElementById('FrmFirstName').value,iv))));
				var FrmLastName=Base64.encode(trim(bin2hex(mcrypt.Encrypt(document.getElementById('FrmLastName').value,iv))));
				var FrmAddress=Base64.encode(trim(bin2hex(mcrypt.Encrypt(document.getElementById('FrmAddress').value,iv))));
				var FrmCity=Base64.encode(trim(bin2hex(mcrypt.Encrypt(document.getElementById('FrmCity').value,iv))));
				var FrmProvinceUID=Base64.encode(trim(bin2hex(mcrypt.Encrypt(document.getElementById('FrmProvinceUID').value,iv))));
				var FrmPostalCode=Base64.encode(trim(bin2hex(mcrypt.Encrypt(document.getElementById('FrmPostalCode').value,iv))));
				var FrmEmailType=Base64.encode(trim(bin2hex(mcrypt.Encrypt(document.getElementById('FrmEmailType').value,iv))));
				var FrmEmail=Base64.encode(trim(bin2hex(mcrypt.Encrypt(document.getElementById('FrmEmail').value,iv))));
				var FrmHome=Base64.encode(trim(bin2hex(mcrypt.Encrypt(document.getElementById('FrmHome').value,iv))));
				var FrmAmount=Base64.encode(trim(bin2hex(mcrypt.Encrypt(document.getElementById('FrmAmount').value,iv))));
				var FrmPaiUID=Base64.encode(trim(bin2hex(mcrypt.Encrypt(document.getElementById('FrmPaiUID').value,iv))));
				var FrmReceipt=Base64.encode(trim(bin2hex(mcrypt.Encrypt(document.getElementById('FrmReceipt').value,iv))));
				var FrmAct="&FrmActUID"+document.getElementById('FrmActUID').value+"="+FrmAmount;

				document.getElementById('url').value="https://www.jedonneenligne.org/"+directory+"/"+FrmCode+"/?PersonalKey=1&crypt_method=js&FrmCountry="+FrmCountry+"&FrmTitle="+FrmTitle+"&FrmFirstName="+FrmFirstName+"&FrmLastName="+FrmLastName+"&FrmAddress="+FrmAddress+"&FrmCity="+FrmCity+"&FrmProvinceUID="+FrmProvinceUID+"&FrmPostalCode="+FrmPostalCode+"&FrmEmailType="+FrmEmailType+"&FrmEmail="+FrmEmail+FrmAct+"&FrmHome="+FrmHome+"&FrmPaiUID="+FrmPaiUID+"&FrmReceipt="+FrmReceipt;
			}

			function pad(x,y)
			{
				if(x.length>=y)
					return x.substr(0,y);

				for(var i=y-x.length;i;i--)
					x+=String.fromCharCode(Math.floor(Math.random()*256));

				return x;
			}

			function trim(str)
			{
				return str.replace(/^\s+/g,'').replace(/\s+$/g,'');
			}

			var hexdigits='0123456789ABCDEF';
			var hexLookup=Array(256);
			for(var i=0;i<256;i++)
				hexLookup[i]=hexdigits.indexOf(String.fromCharCode(i));

			function bin2hex(str)
			{
				var out='';
				for(var i=0;i<str.length;i++)
					out+=hexdigits[str.charCodeAt(i)>>4]+hexdigits[str.charCodeAt(i)&15]+' ';

				return out;
			}
		</script>
		<script type="text/javascript" src="lib/rijndael.js"></script>
		<script type="text/javascript" src="lib/mcrypt.js"></script>
		<script type="text/javascript" src="lib/encode64.js"></script>
		<style type="text/css">
			input[type="text"]
			{
				width:50%;
			}
			table td:first-child
			{
				text-align:right;
			}
		</style>
	</head>
	<body>
		<table style="width:1000px;margin-left:auto;margin-right:auto;">
			<tr>
				<td style="width:40%;">
					<label for="key">Clé / Key:</label>
				</td>
				<td style="width:60%;">
					<input type="text" id="key" value="drawabradRep8pexahemunacafaspath" />
				</td>
			</tr>
			<tr>
				<td>
					<label for="iv">IV :</label>
				</td>
				<td>
					<input type="text" id="iv" value="ahemunacafaspath" />
				</td>
    		</tr>
    		<tr>
	    		<td>
					<label for="directory">Répertoire / Directory:</label>
				</td>
				<td>
					<input type="text" id="directory" value="logilys_test" />
				</td>
			</tr>
			<tr>
	    		<td>
					<label for="FrmCode">Formulaire Code / Form Code:</label>
				</td>
				<td>
					<input type="text" id="FrmCode" value="DIM" />
				</td>
			</tr>
			<tr>
	    		<td>
					<label for="FrmCountry">Pays / Country:</label>
				</td>
				<td>
					<input type="text" id="FrmCountry" value="Canada" />
				</td>
			</tr>
			<tr>
	    		<td>
					<label for="FrmTitle">Appellation / Title:</label>
				</td>
				<td>
					<input type="text" id="FrmTitle" value="Monsieur" />
				</td>
			</tr>
			<tr>
	    		<td>
					<label for="FrmFirstName">Prénom / First Name:</label>
				</td>
				<td>
					<input type="text" id="FrmFirstName" value="Prénom" />
				</td>
			</tr>
			<tr>
	    		<td>
					<label for="FrmLastName">Nom / Last Name:</label>
				</td>
				<td>
					<input type="text" id="FrmLastName" value="Nom" />
				</td>
			</tr>
			<tr>
	    		<td>
					<label for="FrmAddress">Adresse / Address:</label>
				</td>
				<td>
					<input type="text" id="FrmAddress" value="747, boul. Pierre-Roux Est" />
				</td>
			</tr>
			<tr>
	    		<td>
					<label for="FrmCity">Ville / City:</label>
				</td>
				<td>
					<input type="text" id="FrmCity" value="Victoriaville" />
				</td>
			</tr>
			<tr>
	    		<td>
					<label for="FrmProvinceUID">Province (UID):</label>
				</td>
				<td>
					<input type="text" id="FrmProvinceUID" value="1" />
				</td>
			</tr>
			<tr>
	    		<td>
					<label for="FrmPostalCode">Code postal / Postal Code:</label>
				</td>
				<td>
					<input type="text" id="FrmPostalCode" value="G6T 1S7" />
				</td>
			</tr>
			<tr>
				<td>
					<label for="FrmEmailType">Type de courriel / Email Type:</label>
				</td>
				<td>
					<input type="text" id="FrmEmailType" value="0" />
				</td>
			</tr>
			<tr>
	    		<td>
					<label for="FrmEmail">Courriel / Email:</label>
				</td>
				<td>
					<input type="text" id="FrmEmail" value="" />
				</td>
			</tr>
			<tr>
	    		<td>
					<label for="FrmHome">Téléphone résidence / Home phone:</label>
				</td>
				<td>
					<input type="text" id="FrmHome" value="(819) 758-0560" />
				</td>
			</tr>
			<tr>
				<td>
					<label for="FrmAmount">Montant / Amount:</label>
				</td>
				<td>
					<input type="text" id="FrmAmount" value="50.00" />
				</td>
			</tr>
			<tr>
	    		<td>
					<label for="FrmActUID">Activité (UID) / Activity (UID):</label>
				</td>
				<td>
					<input type="text" id="FrmActUID" value="15" />
					
				</td>
			</tr>
			<tr>
	    		<td>
					<label for="FrmPaiUID">Mode de paiement (UID) / Payment method (UID):</label>
				</td>
				<td>
					<input type="text" id="FrmPaiUID" value="21" />
				</td>
			</tr>
			<tr>
	    		<td>
					<label for="FrmReceipt">Reçu / Receipt:</label>
				</td>
				<td>
					<input type="text" id="FrmReceipt" value="1" />
				</td>
			</tr>
			<tr>
	    		<td style="text-align:right;padding-top:15px;">
					<label for="url">URL:</label>
				</td>
				<td style="padding-top:15px;">
					<input type="text" id="url" />
				</td>
			</tr>
			<tr>
				<td></td>
				<td>
					<input type="button" value="Prepare URL" onclick="crypt_values();" />
					<input type="button" value="Download Sources" onclick="window.location='../download.php?version=v2.1.3&file=integration_prototype.zip';" style="margin-left:50px;"/>
				</td>
			</tr>
    	</table>
	</body>
</html>